import axios from 'axios'
import { unique } from '.'
import { UUID } from '@/types'

interface CreateDatasetElementsSelectionParameters {
  /**
   * ID of the dataset that will receive selected elements
   */
  dataset_id: UUID

  /**
   * Name of the set elements will be added to
   */
  set: string
}

/**
 * Add selected elements to a corpus' dataset
 */
export const createDatasetElementsSelection = unique(async (corpusId: UUID, params: CreateDatasetElementsSelectionParameters) => (await axios.post(`/corpus/${corpusId}/datasets/selection/`, params)))
