import { WorkerActivityState } from '@/enums'
import { NullableProperties, UUID } from '.'

/**
 * Statistics for all WorkerActivities within a corpus or a process.
 *
 * The aggregated processing times may all be defined as string representations of Python timedeltas,
 * or may all be null at once.
 */
export type WorkerActivityStats = {
  worker_version_id: UUID
  model_version_id: UUID | null
  configuration_id: UUID | null
} & {
  [State in WorkerActivityState]: number
} & NullableProperties<{
  average_processed_time: string
  min_processed_time: string
  max_processed_time: string
  median_processed_time: string
  completion_estimate_time: string
}>
